org.eclipse.viatra.transformation.evm.api.adapter

## Class AbstractEVMListener

- java.lang.Object
- - org.eclipse.viatra.transformation.evm.api.adapter.AbstractEVMListener

- All Implemented Interfaces:
    IEVMListener
  Direct Known Subclasses:
    TraceCoder

      public class AbstractEVMListener
      extends java.lang.Object
      implements IEVMListener

  Abstract `IEVMListener` implementation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractEVMListener()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `activationChanged(Activation<?> activation, ActivationState oldState, EventType event)`
    `void` | `activationCreated(Activation<?> activation, ActivationState inactiveState)`
    `void` | `activationRemoved(Activation<?> activation, ActivationState oldState)`
    `void` | `addedRule(RuleSpecification<?> specification, EventFilter<?> filter)`
    `void` | `afterFiring(Activation<?> activation)`
    `void` | `beforeFiring(Activation<?> activation)`
    `void` | `disposeListener()`
    `void` | `endTransaction(java.lang.String transactionID)`
    `void` | `initializeListener(ViatraQueryEngine engine)`
    `void` | `removedRule(RuleSpecification<?> specification, EventFilter<?> filter)`
    `void` | `startTransaction(java.lang.String transactionID)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractEVMListener

          public AbstractEVMListener()

  - ### Method Detail

    - #### initializeListener

          public void initializeListener(ViatraQueryEngine engine)

      Specified by:
        `initializeListener` in interface `IEVMListener`

    - #### beforeFiring

          public void beforeFiring(Activation<?> activation)

      Specified by:
        `beforeFiring` in interface `IEVMListener`

    - #### afterFiring

          public void afterFiring(Activation<?> activation)

      Specified by:
        `afterFiring` in interface `IEVMListener`

    - #### startTransaction

          public void startTransaction(java.lang.String transactionID)

      Specified by:
        `startTransaction` in interface `IEVMListener`

    - #### endTransaction

          public void endTransaction(java.lang.String transactionID)

      Specified by:
        `endTransaction` in interface `IEVMListener`

    - #### activationChanged

          public void activationChanged(Activation<?> activation,
                                        ActivationState oldState,
                                        EventType event)

      Specified by:
        `activationChanged` in interface `IEVMListener`

    - #### activationCreated

          public void activationCreated(Activation<?> activation,
                                        ActivationState inactiveState)

      Specified by:
        `activationCreated` in interface `IEVMListener`

    - #### activationRemoved

          public void activationRemoved(Activation<?> activation,
                                        ActivationState oldState)

      Specified by:
        `activationRemoved` in interface `IEVMListener`

    - #### addedRule

          public void addedRule(RuleSpecification<?> specification,
                                EventFilter<?> filter)

      Specified by:
        `addedRule` in interface `IEVMListener`

    - #### removedRule

          public void removedRule(RuleSpecification<?> specification,
                                  EventFilter<?> filter)

      Specified by:
        `removedRule` in interface `IEVMListener`

    - #### disposeListener

          public void disposeListener()

      Specified by:
        `disposeListener` in interface `IEVMListener`